Bug 1008578 - Broken link to jandex.jar in modules directory
Broken link to jandex.jar in modules directory
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wildfly (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 12:01 EDT by Juan Hernández
Modified: 2013-09-26 20:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: jboss-logging-tools-1.2.0-0.1.Beta1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 20:35:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan Hernández 2013-09-16 12:01:40 EDT
Description of problem:

The symlink to the jandex.jar file isn't correct. It points to /usr/share/java/jandex.jar, but it should point to /usr/share/java/jandex/jandex.jar:

# ls -l /usr/share/wildfly/modules/system/layers/base/org/jboss/jandex/main/jandex.jar 
lrwxrwxrwx. 1 root root 26 Sep 16 17:36 /usr/share/wildfly/modules/system/layers/base/org/jboss/jandex/main/jandex.jar -> /usr/share/java/jandex.jar

# ls -l /usr/share/java/jandex.jar
ls: cannot access /usr/share/java/jandex.jar: No such file or directory

# ls -l /usr/share/java/jandex/jandex.jar


Version-Release number of selected component (if applicable):

wildfly-8.0.0-0.6.Alpha3.fc21.noarch
jandex-1.1.0-1.fc21.noarch

How reproducible:

Always.
Comment 1 Marek Goldmann 2013-09-17 02:09:37 EDT
The link is broken, because there will be an upgrade to Alpha4 pushed soon, and new jandex is part of the preparations. There may be other issues related to this preparations too. I'll make sure this will work after Alpha4 upgrade. Thanks!
Comment 2 Fedora Update System 2013-09-18 02:53:01 EDT
jboss-logging-tools-1.2.0-0.1.Beta1.fc20,jbossws-cxf-4.2.0-1.fc20,narayana-5.0.0-0.3.M3.fc20,weld-core-2.0.3-1.fc20,qpid-proton-0.5-3.fc20,xml-maven-plugin-1.0-9.fc20,jboss-modules-1.3.0-0.1.Beta3.fc20,jandex-1.1.0-1.fc20,geronimo-validation-1.1-10.fc20,aesh-0.33.7-1.fc20,jansi-1.11-3.fc20,jansi-native-1.5-1.fc20,undertow-1.0.0-0.4.Beta7.fc20,jboss-logmanager-1.5.1-1.fc20,jboss-parent-11-1.fc20,hornetq-2.4.0-0.1.Beta1.fc20,jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20,jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20,wildfly-8.0.0-0.9.Alpha4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jboss-logging-tools-1.2.0-0.1.Beta1.fc20,jbossws-cxf-4.2.0-1.fc20,narayana-5.0.0-0.3.M3.fc20,weld-core-2.0.3-1.fc20,qpid-proton-0.5-3.fc20,xml-maven-plugin-1.0-9.fc20,jboss-modules-1.3.0-0.1.Beta3.fc20,jandex-1.1.0-1.fc20,geronimo-validation-1.1-10.fc20,aesh-0.33.7-1.fc20,jansi-1.11-3.fc20,jansi-native-1.5-1.fc20,undertow-1.0.0-0.4.Beta7.fc20,jboss-logmanager-1.5.1-1.fc20,jboss-parent-11-1.fc20,hornetq-2.4.0-0.1.Beta1.fc20,jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20,jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20,wildfly-8.0.0-0.9.Alpha4.fc20
Comment 3 Fedora Update System 2013-09-18 13:46:30 EDT
Package jboss-logging-tools-1.2.0-0.1.Beta1.fc20, jbossws-cxf-4.2.0-1.fc20, narayana-5.0.0-0.3.M3.fc20, weld-core-2.0.3-1.fc20, qpid-proton-0.5-3.fc20, xml-maven-plugin-1.0-9.fc20, jboss-modules-1.3.0-0.1.Beta3.fc20, jandex-1.1.0-1.fc20, geronimo-validation-1.1-10.fc20, aesh-0.33.7-1.fc20, jansi-1.11-3.fc20, jansi-native-1.5-1.fc20, undertow-1.0.0-0.4.Beta7.fc20, jboss-logmanager-1.5.1-1.fc20, jboss-parent-11-1.fc20, hornetq-2.4.0-0.1.Beta1.fc20, jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20, jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20, wildfly-8.0.0-0.9.Alpha4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jboss-logging-tools-1.2.0-0.1.Beta1.fc20 jbossws-cxf-4.2.0-1.fc20 narayana-5.0.0-0.3.M3.fc20 weld-core-2.0.3-1.fc20 qpid-proton-0.5-3.fc20 xml-maven-plugin-1.0-9.fc20 jboss-modules-1.3.0-0.1.Beta3.fc20 jandex-1.1.0-1.fc20 geronimo-validation-1.1-10.fc20 aesh-0.33.7-1.fc20 jansi-1.11-3.fc20 jansi-native-1.5-1.fc20 undertow-1.0.0-0.4.Beta7.fc20 jboss-logmanager-1.5.1-1.fc20 jboss-parent-11-1.fc20 hornetq-2.4.0-0.1.Beta1.fc20 jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20 jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20 wildfly-8.0.0-0.9.Alpha4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17102/jboss-logging-tools-1.2.0-0.1.Beta1.fc20,jbossws-cxf-4.2.0-1.fc20,narayana-5.0.0-0.3.M3.fc20,weld-core-2.0.3-1.fc20,qpid-proton-0.5-3.fc20,xml-maven-plugin-1.0-9.fc20,jboss-modules-1.3.0-0.1.Beta3.fc20,jandex-1.1.0-1.fc20,geronimo-validation-1.1-10.fc20,aesh-0.33.7-1.fc20,jansi-1.11-3.fc20,jansi-native-1.5-1.fc20,undertow-1.0.0-0.4.Beta7.fc20,jboss-logmanager-1.5.1-1.fc20,jboss-parent-11-1.fc20,hornetq-2.4.0-0.1.Beta1.fc20,jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20,jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20,wildfly-8.0.0-0.9.Alpha4.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-26 20:35:58 EDT
jboss-logging-tools-1.2.0-0.1.Beta1.fc20, jbossws-cxf-4.2.0-1.fc20, narayana-5.0.0-0.3.M3.fc20, weld-core-2.0.3-1.fc20, qpid-proton-0.5-3.fc20, xml-maven-plugin-1.0-9.fc20, jboss-modules-1.3.0-0.1.Beta3.fc20, jandex-1.1.0-1.fc20, geronimo-validation-1.1-10.fc20, aesh-0.33.7-1.fc20, jansi-1.11-3.fc20, jansi-native-1.5-1.fc20, undertow-1.0.0-0.4.Beta7.fc20, jboss-logmanager-1.5.1-1.fc20, jboss-parent-11-1.fc20, hornetq-2.4.0-0.1.Beta1.fc20, jboss-remoting-jmx-2.0.0-0.3.Beta2.fc20, jboss-concurrency-1.0-api-1.0.0-0.1.CR1.fc20, wildfly-8.0.0-0.9.Alpha4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.